#ifndef MSP_GL_DATATYPE_H_
#define MSP_GL_DATATYPE_H_

#include "gl.h"

namespace Msp {
namespace GL {

enum DataType
{
	BYTE = 0x101,
	UNSIGNED_BYTE = 0x001,
	SHORT = 0x102,
	UNSIGNED_SHORT = 0x002,
	INT = 0x104,
	UNSIGNED_INT = 0x004,
	FLOAT = 0x304,
	HALF_FLOAT = 0x302
};

inline unsigned get_type_size(DataType t)
{ return t&0xFF; }

GLenum get_gl_type(DataType);

} // namespace GL
} // namespace Msp

#endif
